// JavaScript Document
var slider=document.querySelector(".slider_testimonio");
var sliderInd=document.querySelectorAll(".detalle_testimonio");
var contador=1;
var indice=1;
var tamWidth=sliderInd[0].clientWidth;
var intervalo=4000;

window.addEventListener("resize",function(){
	tamWidth=sliderInd[0].clientWidth;
})
setInterval(function tiempo(){
	slides();	
},intervalo);

function slides(){
	slider.style.transform='translate('+ (- tamWidth * contador) + 'px)';
	slider.style.transition='transform 1s';
	contador++;
	if(contador==sliderInd.length){
		contador=0;
		setTimeout(function(){
				slider.style.transform='translate(0px)';
				slider.style.transition='transform .0s';
				contador=1;
			},1500)
	}else{
		slider.style.transform = "translate("+(-tamWidth*(contador-1))+"px)";
		slider.style.transition = "transform .0s";
		intervalo=5000;
			//},900)
	}
}